> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get overlay

> Get overlay details



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml get /streaming/streams/{stream_id}/overlays/{overlay_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/streams/{stream_id}/overlays/{overlay_id}:
    get:
      tags:
        - Overlays
      summary: Get overlay
      description: Get overlay details
      operationId: get_overlays_id
      parameters:
        - name: stream_id
          in: path
          description: Stream ID
          required: true
          schema:
            type: integer
        - name: overlay_id
          in: path
          description: Overlay ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/overlayId'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notfound'
        '422':
          description: >-
            This is advanced functionality; to enable it, contact your manager
            or the Support Team.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/upgraderequired'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            overlay = client.streaming.streams.overlays.get(
                overlay_id=0,
                stream_id=0,
            )
            print(overlay.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n\t\"github.com/G-Core/gcore-go/streaming\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\toverlay, err := client.Streaming.Streams.Overlays.Get(\n\t\tcontext.TODO(),\n\t\t0,\n\t\tstreaming.StreamOverlayGetParams{\n\t\t\tStreamID: 0,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", overlay.ID)\n}\n"
components:
  schemas:
    overlayId:
      allOf:
        - $ref: '#/components/schemas/overlayBase'
        - required:
            - id
            - url
            - stream_id
            - created_at
            - updated_at
          properties:
            id:
              type: integer
              description: ID of the overlay
            stream_id:
              type: integer
              description: ID of a stream to which it is attached
            created_at:
              type: string
              description: Datetime of creation in ISO 8601
            updated_at:
              type: string
              description: Datetime of last update in ISO 8601
          example:
            id: 1
            stream_id: 12345
            url: http://domain.com/myoverlay1.html
            width: 120
            height: 40
            x: 30
            'y': 30
            stretch: false
            created_at: '2023-09-20T00:01:01.000Z'
            updated_at: '2023-10-01T12:01:01.000Z'
    notfound:
      allOf:
        - $ref: '#/components/schemas/badrequest'
        - example:
            status: 404
            error: >-
              Not Found. Entity you are looking for was not found, please check
              the initial parameters
    upgraderequired:
      type: object
      properties:
        error:
          type: string
          description: >-
            This is advanced functionality; to enable it, contact your manager
            or support service.
      example:
        error: Feature is disabled. Contact support to enable.
    overlayBase:
      type: object
      properties:
        url:
          type: string
          description: Valid http/https URL to an HTML page/widget
        width:
          type: integer
          default: null
          description: Width of the widget
        height:
          type: integer
          default: null
          description: Height of the widget
        x:
          type: integer
          default: null
          description: Coordinate of left upper corner
        'y':
          type: integer
          default: null
          description: Coordinate of left upper corner
        stretch:
          type: boolean
          default: false
          description: >-
            Switch of auto scaling the widget. Must not be used as "true"
            simultaneously with the coordinate installation method (w, h, x, y).
    badrequest:
      type: object
      properties:
        status:
          type: integer
          description: Error number
        error:
          type: string
          description: Error message
      example:
        status: 400
        error: >-
          Bad Request response status code indicates that the server cannot or
          will not process the request due to something that is perceived to be
          a client error (for example, malformed request syntax, invalid request
          message framing, or deceptive request routing).
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````